QGIS Application - Bug report #15672
@map_extent_width and @map_extent_height seem buggy
2016-10-06 11:43 AM - Johannes Kroeger

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Unknown

Affected QGIS version:2.16.3 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23595
Description

Trying some silly things | found "Geometry generator” of feature styling to create wrong geometries when | used @map_extent_width and
@map_extent_height in it.

| ended up with the following test case.

Use this is label for some feature to see the values live updated:

'Center: ' || x( @map_extent_center ) || '' || y( @map_extent_center ) || \

il

'Width: ' || @map_extent_width || \

il

'Height: ' || @map_extent_height

If you resize the map, the Width and Height values never update while the Center works as intended.
Open the Python console and use this to manually request the map's width and height:

"Width: {} Height: {}".format(iface.mapCanvas().extent().width(),iface.mapCanvas().extent().height())

To my understand these should show the same values for the width and height.

When | move the map and print with Python again, | see the new values. The @map_extent_width and @map_extent_height in the label
are not updated though.

Associated revisions

Revision c1cf896¢ - 2016-10-10 11:53 AM - Nyall Dawson

Fix invalid values for @map_extent_width/height (fix #15672)

Revision 28fc834d - 2016-10-12 12:54 PM - Nyall Dawson

Fix invalid values for @map_extent_width/height (fix #15672)

(cherry-picked from c1cf896c1a76fdac16b3e800b7e1f106f983e299)

Revision 3c43bb5e - 2016-10-12 02:19 PM - Nyall Dawson
Fix invalid values for @map_extent_width/height (fix #15672)

(cherry-picked from c1cf896c1a76fdac16b3e800b7e1f106f983e299)

Revision bd5f9792 - 2016-10-13 11:19 PM - Nyall Dawson

Fix invalid values for @map_extent_width/height (fix #15672)

(cherry-picked from c¢1cf896¢c1a76fdac16b3e800b7e1f106f983e299)

History

#1 - 2016-10-06 01:02 PM - Johannes Kroeger

When | move the map and print with Python again, | see the new values. The @map_extent_width and @map_extent_height in the label are not

updated though.

Should have been

When | resize the map and print with Python again, | see the new values. The @map_extent_width and @map_extent_height in the label are not updated

though.

#2 - 2016-10-06 03:14 PM - Nyall Dawson
- Status changed from Open to Feedback

Can you check iface.mapCanvas().mapSettings().extent().width() and see if the value matches?

#3 - 2016-10-06 04:43 PM - Nyall Dawson
- Assignee set to Nyall Dawson

- Status changed from Feedback to Open

Actually | can reproduce - fix incoming

#4 - 2016-10-10 02:54 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"c1cf896¢c1a76fdac16b3e800b7e1f106f983e299".

#5 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown
